﻿using Config;
using Log;
using StaticData;
using System;

namespace AdventureClient {
    class Program
    {
        static void Main(string[] args)
        {
            foreach (string cmd in args)
            {
                if (cmd.Equals("step"))
                {
                    Console.WriteLine("press Enter to start......");
                    Console.ReadLine();
                    Console.WriteLine("AdventureLobby startup......");
                }
            }

            if (!StaticDataMgr.Instance.Init())
            {
                Console.WriteLine("读取静态表失败......");
                Console.ReadLine();
                return;
            }

            try
            {
                //读取配置
                ServerConfig config = new ServerConfig();
                config.Load("ServerConfig.xml");

                Env server = new Env();
                Env.Init(config);

                //启动服务器
                if (!server.Start())
                {
                    LogSys.Error("......LobbyServer start failed");
                }
            }
            catch (Exception ex)
            {
                LogSys.Error($"......Program.Main Exception occurred: {ex.Message}");
                LogSys.Error($"{ex.StackTrace}");
            }

            LogSys.Info("LobbyServer stop......");
            Console.ReadLine();
        }
    }
}
